Subject: Re: bug#60644: 30.0.50; eval-defun: in specific case finds wrong function below the current one

From: Jean Louis <[email-masked]>
Date: Sun, 8 Jan 2023 14:21:12 +0300

* Eli Zaretskii <[email-masked]> [2023-01-08 13:37]:
> > Date: Sun, 08 Jan 2023 09:19:05 +0300
> > From: Jean Louis <[email-masked]>
> > 
> > Find in the file two functions, go somewhere in the middle of
> > `hyperscope-tag-hyperdocuments-by-type' and try invoking C-M-x and you
> > will see `rcd-db-recurse-on-table' instead of
> > `hyperscope-tag-hyperdocuments-by-type'. In general I can't instrument
> > this function interactively.
> 
> Its indentation is wrong.  Reindent the line where you have
> "(interactive)", and your problems will likely disappear.

I get it, it works.

I was not aware that detection system should rely on indentation, but
rather on sexp.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/